testing::internal::ParamGeneratorInterface< T > Class Template Referenceabstract

`#include <gtest.h>`

Inheritance diagram for testing::internal::ParamGeneratorInterface< T >:

## Public Types

typedef T | ParamType

## Public Member Functions

virtual | ~ParamGeneratorInterface ()
virtual ParamIteratorInterface< T > * | Begin () const =0
virtual ParamIteratorInterface< T > * | End () const =0

## Detailed Description

### template<typename T>
class testing::internal::ParamGeneratorInterface< T >

Definition at line 10623 of file gtest.h.

## Member Typedef Documentation

## ParamType

template<typename T>

typedef T testing::internal::ParamGeneratorInterface< T >::ParamType

Definition at line 10704 of file gtest.h.

## Constructor & Destructor Documentation

## ~ParamGeneratorInterface()

template<typename T>

virtual testing::internal::ParamGeneratorInterface< T >::~ParamGeneratorInterface | ( |  | ) |

inlinevirtual

Definition at line 10706 of file gtest.h.

## Member Function Documentation

## Begin()

template<typename T>

virtual ParamIteratorInterface<T>* testing::internal::ParamGeneratorInterface< T >::Begin | ( |  | ) | const

pure virtual

Implemented in testing::internal::CartesianProductGenerator10< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 >, testing::internal::CartesianProductGenerator9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >, testing::internal::CartesianProductGenerator8< T1, T2, T3, T4, T5, T6, T7, T8 >, testing::internal::CartesianProductGenerator7< T1, T2, T3, T4, T5, T6, T7 >, testing::internal::CartesianProductGenerator6< T1, T2, T3, T4, T5, T6 >, testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >, testing::internal::CartesianProductGenerator4< T1, T2, T3, T4 >, testing::internal::CartesianProductGenerator3< T1, T2, T3 >, testing::internal::CartesianProductGenerator2< T1, T2 >, testing::internal::ValuesInIteratorRangeGenerator< T >, and testing::internal::RangeGenerator< T, IncrementT >.

## End()

template<typename T>

virtual ParamIteratorInterface<T>* testing::internal::ParamGeneratorInterface< T >::End | ( |  | ) | const

pure virtual

Implemented in testing::internal::CartesianProductGenerator10< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 >, testing::internal::CartesianProductGenerator9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >, testing::internal::CartesianProductGenerator8< T1, T2, T3, T4, T5, T6, T7, T8 >, testing::internal::CartesianProductGenerator7< T1, T2, T3, T4, T5, T6, T7 >, testing::internal::CartesianProductGenerator6< T1, T2, T3, T4, T5, T6 >, testing::internal::CartesianProductGenerator5< T1, T2, T3, T4, T5 >, testing::internal::CartesianProductGenerator4< T1, T2, T3, T4 >, testing::internal::CartesianProductGenerator3< T1, T2, T3 >, testing::internal::CartesianProductGenerator2< T1, T2 >, testing::internal::ValuesInIteratorRangeGenerator< T >, and testing::internal::RangeGenerator< T, IncrementT >.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h